pipeline{

    agent any

    stages {

        stage ('Test Stage') {

            steps {

                withMaven(maven: 'Maven 3.6.3') {
                    sh 'mvn clean test'

                }

            }
        }


        stage ('Cucumber Reports') {

            steps {
                cucumber buildStatus: "UNSTABLE",
                    fileIncludePattern: "**/cucumber.json",
                    jsonReportDirectory: 'target'

            }

        }

    }

}
